source: xsoft/office/libreoffice.xml@ 4cc2303

10.0 10.1 11.0 11.1 9.1 lazarus qt5new trunk upgradedb xry111/intltool xry111/test-20220226
Last change on this file since 4cc2303 was 4cc2303, checked in by Pierre Labastie <pieere@…>, 2 years ago

Remove "gtk" switches for libreoffice: gtk3 is the only possibility, and
the switch leads to an error in configuring

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@22702 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 33.6 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libreoffice-dl "http://download.documentfoundation.org/libreoffice/src/&libreoffice-version;">
8
9 <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
10 <!ENTITY libreoffice-core-md5sum "93ffa098e65dde29516ffe7212092f29">
11 <!ENTITY libreoffice-core-size "222 MB">
12
13 <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
14 <!ENTITY libreoffice-dict-md5sum "5c021d899e8987f796d93e6d69cd5a1f">
15 <!ENTITY libreoffice-dict-size "46 MB">
16
17 <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
18 <!ENTITY libreoffice-help-md5sum "c7cf3fdfd70e097fcc49c58887053cea">
19 <!ENTITY libreoffice-help-size "85 MB">
20
21 <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
22 <!ENTITY libreoffice-translations-md5sum "9aaecb32945a04ebc8a89835536105f9">
23 <!ENTITY libreoffice-translations-size "164 MB">
24
25 <!-- full size remeasured for 6.4.0.3 -->
26
27 <!ENTITY libreoffice-buildsize "9.0 GB including the additional files if downloaded during the build (820 MB installed). Installing the whole set of languages for 6.4.0.3 required up to 25 GB (3.2 GB installed)">
28
29 <!-- Editors: many updates to poppler will break LO using system poppler until
30 somebody is able to provide a patch or sed. In these cases, please mark
31 the dependency as currently broken and move the \-\-with-system-poppler
32 line to a comment. Also please switch poppler between recommended and
33 optional according to whether or not we use the system version. The
34 installed size will be increased by 2 MB if using the shipped poppler, but
35 the variation in build times will be lost in the noise. - ken -->
36
37 <!-- for 6.1.2.1 I allowed 2 SBU for downloads, my total was
38 64.76 SBU with fast downloads
39 for 6.1.4.2 I just used the total time - bdubbs
40
41 For 6.4.0.3 downloading everything including dictionaries,
42 help, translations took less than 2 minutes (1.1 SBU) with
43 a good domestic internet connection. Total time was 60 SBU - ken
44 -->
45 <!ENTITY libreoffice-time "54 SBU with parallelism=4 including typical download time">
46
47]>
48
49<sect1 id="libreoffice" xreflabel="LibreOffice-&libreoffice-dlversion;">
50 <?dbhtml filename="libreoffice.html"?>
51
52 <sect1info>
53 <othername>$LastChangedBy$</othername>
54 <date>$Date$</date>
55 </sect1info>
56
57 <title>LibreOffice-&libreoffice-version;</title>
58
59 <indexterm zone="libreoffice">
60 <primary sortas="a-LibreOffice">LibreOffice</primary>
61 </indexterm>
62
63 <sect2 role="package">
64 <title>Introduction to LibreOffice</title>
65
66 <para>
67 <application>LibreOffice</application> is a full-featured office suite.
68 It is largely compatible with <application>Microsoft Office</application>
69 and is descended from <application>OpenOffice.org</application>.
70 </para>
71
72 &lfs90_checked;
73
74 <bridgehead renderas="sect3">Package Information</bridgehead>
75 <itemizedlist spacing="compact">
76 <listitem>
77 <para>
78 Core Download: <ulink url="&libreoffice-core-download-http;"/>
79 </para>
80 </listitem>
81 <listitem>
82 <para>
83 Core Download MD5 sum: &libreoffice-core-md5sum;
84 </para>
85 </listitem>
86 <listitem>
87 <para>
88 Core Download size: &libreoffice-core-size;
89 </para>
90 </listitem>
91 <listitem>
92 <para>
93 Estimated disk space required: &libreoffice-buildsize;
94 </para>
95 </listitem>
96 <listitem>
97 <para>
98 Estimated build time: &libreoffice-time;
99 </para>
100 </listitem>
101 </itemizedlist>
102
103 <bridgehead renderas="sect3">Additional Downloads</bridgehead>
104
105 <note>
106 <para>
107 Around 80 smallish tarballs and zip files will be downloaded during the
108 build. If you have not downloaded one or more of the following, they too
109 will also be downloaded during the build.
110 </para>
111 </note>
112
113 <itemizedlist spacing="compact">
114 <listitem>
115 <para>
116 Dictionaries: <ulink url="&libreoffice-dict-download-http;"/>
117 </para>
118 </listitem>
119
120 <listitem>
121 <para>
122 Dictionaries MD5 sum: &libreoffice-dict-md5sum;
123 </para>
124 </listitem>
125
126 <listitem>
127 <para>
128 Dictionaries size: &libreoffice-dict-size;
129 </para>
130 </listitem>
131
132 <listitem>
133 <para>
134 Help Files: <ulink url="&libreoffice-help-download-http;"/>
135 </para>
136 </listitem>
137
138 <listitem>
139 <para>
140 Help Files MD5 sum: &libreoffice-help-md5sum;
141 </para>
142 </listitem>
143
144 <listitem>
145 <para>
146 Help Files size: &libreoffice-help-size;
147 </para>
148 </listitem>
149
150 <listitem>
151 <para>
152 Translations: <ulink url="&libreoffice-translations-download-http;"/>
153 </para>
154 </listitem>
155
156 <listitem>
157 <para>
158 Translations MD5 sum: &libreoffice-translations-md5sum;
159 </para>
160 </listitem>
161
162 <listitem>
163 <para>
164 Translations size: &libreoffice-translations-size;
165 </para>
166 </listitem>
167
168
169<!-- keep one commented patch, it's sure to again need one or more in a few months:
170For libreoffice 6.2.0.4, almost blfs 8.4: no patch needed, only a sed below
171 <listitem>
172 <para>
173 Required patch to fix building with system <xref linkend="poppler"/> (all
174 recent versions) and <xref linkend="boost"/>:
175 <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch"/>
176 </para>
177 </listitem>
178-->
179
180 </itemizedlist>
181 <bridgehead renderas="sect3">LibreOffice Dependencies</bridgehead>
182
183 <bridgehead renderas="sect4">Required</bridgehead>
184 <para role="required">
185 <xref linkend="perl-archive-zip"/>,
186 <xref linkend="unzip"/>,
187 <xref linkend="wget"/>,
188 <xref linkend="which"/>, and
189 <xref linkend="zip"/>
190 </para>
191
192 <bridgehead renderas="sect4">Recommended</bridgehead>
193 <note>
194 <para>
195 Most of these packages are recommended because if they're not installed,
196 the build process will compile and install its own (often older)
197 version, with the side effect of increasing build and installed disk
198 space and build time.
199 </para>
200 </note>
201
202 <para role="recommended">
203 <xref linkend="apache-ant"/>,
204 <xref linkend="apr"/>,
205 <xref linkend="boost"/>,
206 <xref linkend="clucene"/>,
207 <xref linkend="cups"/>,
208 <xref linkend="curl"/>,
209 <xref linkend="dbus-glib"/>,
210 <xref linkend="libjpeg"/>,
211 <xref linkend="glm"/>,
212 <xref linkend="glu"/>,
213 <xref linkend="gpgme"/>,
214 <xref linkend="graphite2"/>,
215 <xref linkend="gst10-plugins-base"/>,
216 <xref linkend="gtk3"/>,
217 <!-- <xref linkend="gtk2"/> -->
218 <xref linkend="harfbuzz"/>,
219 <xref linkend="icu"/>
220 <xref linkend="libatomic_ops"/>,
221 <xref linkend="lcms2"/>,
222 <xref linkend="librsvg"/>,
223 <xref linkend="libxml2"/> and
224 <xref linkend="libxslt"/>,
225 <xref linkend="lxml"/>,
226 <xref linkend="mesa"/>,
227 <xref linkend="neon"/>,
228 <xref linkend="nss"/>,
229 <xref linkend="openldap"/> (if connecting to an LDAP server),
230 <xref linkend="poppler"/>,
231 <xref linkend="postgresql"/>,
232 <xref linkend="redland"/>,
233 <xref linkend="serf"/>, and
234 <xref linkend="unixodbc"/>
235 </para>
236
237
238 <bridgehead renderas="sect4">Optional</bridgehead>
239 <para role="optional">
240 <xref linkend="avahi"/>,
241 <xref linkend="bluez"/>,
242 <xref linkend="dconf"/>,
243 <xref linkend="desktop-file-utils"/>,
244 <xref linkend="doxygen"/> (not relevant if using --disable-odk),
245 <xref linkend="evolution-data-server"/>,
246 <xref linkend="gdb"/>,
247 <xref linkend="gnutls"/>,
248<!-- not anymore in the book, but included in apache-ant
249 <xref linkend="junit"/>, -->
250 <xref linkend="kf5-frameworks"/>,
251 <xref linkend="libpaper"/>,
252 <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
253 <xref linkend="mitkrb"/>,
254 <xref linkend="nasm"/>,
255 <xref linkend="sane"/>,
256 <xref linkend="telepathy-glib"/>,
257 <xref linkend="valgrind"/>,
258 <xref linkend="vlc"/>,
259 <xref linkend="zenity"/>,
260 <ulink url="https://commons.apache.org/proper/commons-codec/">Apache Commons Codec</ulink>,
261 <ulink url="https://hc.apache.org/httpclient-3.x/">Apache Commons HttpClient</ulink>,
262 <ulink url="https://commons.apache.org/proper/commons-lang/">Apache Commons Lang</ulink>,
263 <ulink url="https://commons.apache.org/proper/commons-logging/">Apache Commons Logging</ulink>,
264 <ulink url="http://www.beanshell.org/">BeanShell</ulink>,
265 <ulink url="https://projects.coin-or.org/CoinMP/">CoinMP</ulink>,
266 <ulink url="http://sourceforge.net/projects/cppunit/">Cppunit</ulink>,
267 <ulink url="http://www.firebirdsql.org/">Firebird</ulink>,
268 <ulink url="https://github.com/behdad/glyphy">glyphy</ulink>,
269 <ulink url="http://ftp.gnome.org/pub/gnome/sources/gnome-vfs/">Gnome VFS</ulink>,
270
271 <ulink url="https://github.com/hamcrest/JavaHamcrest/releases">hamcrest</ulink>,
272 <ulink url="https://hunspell.github.io/">Hunspell</ulink>,
273 <ulink url="http://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
274 <ulink url="http://include-what-you-use.org/">iwyu</ulink>,
275 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libabw">libabw</ulink>,
276 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr">libcdr</ulink>,
277 <ulink url="http://sourceforge.net/projects/libcmis/">libcmis</ulink>,
278 <ulink url="http://www.sourceforge.net/projects/libebook/">libebook</ulink>,
279 <ulink url="https://wiki.documentfoundation.org/Libexttextcat">libexttextcat</ulink>,
280 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>,
281 <ulink url="http://tagoh.bitbucket.org/liblangtag/">liblangtag</ulink>,
282 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libmspub">libmspub</ulink>,
283 <ulink url="http://sourceforge.net/projects/libmwaw/">libmwaw</ulink>,
284 <ulink url="http://sourceforge.net/projects/libwpd/files/libodfgen/">libodfgen</ulink>,
285 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libpagemaker">libpagemaker</ulink>,
286 <ulink url="http://sourceforge.net/projects/libwpd/files/librevenge/">librevenge (WordPerfect Document importer)</ulink>,
287 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,
288 <ulink url="http://libwpd.sourceforge.net/">libwpd</ulink>,
289 <ulink url="http://libwpg.sourceforge.net/">libwpg</ulink>,
290 <ulink url="http://libwps.sourceforge.net/">libwps</ulink>,
291 <ulink url="http://lpsolve.sourceforge.net/">lp_solve</ulink>,
292 <ulink url="https://gitlab.com/mdds/mdds">mdds</ulink>,
293 <ulink url="http://sourceforge.net/projects/hunspell/files/MyThes/">MyThes</ulink>,
294 <ulink url="https://github.com/KhronosGroup/OpenCOLLADA/">OpenCOLLADA</ulink>,
295 <ulink url="https://gitlab.com/orcus/orcus">Orcus</ulink>, and
296 <ulink url="https://ukoethe.github.io/vigra/">VIGRA</ulink>
297 </para>
298
299 <para>There are many optional dependencies not listed here. They can be
300 found in <quote>download.lst</quote> (source directory).
301 </para>
302
303 <para condition="html" role="usernotes">
304 User Notes: <ulink url="&blfs-wiki;/libreoffice"/>
305 </para>
306 </sect2>
307
308 <sect2 role="installation">
309 <title>Installation of LibreOffice</title>
310
311 <important>
312 <para>
313 Unlike the other packages, we assume that you have not yet unpacked the
314 package. This is because the <option>--no-overwrite-dir</option>
315 switch is needed in case you unpack as the <systemitem
316 class="username">root</systemitem> user.
317 </para>
318 </important>
319
320<screen role="nodump"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
321cd libreoffice-&libreoffice-dlversion;</userinput></screen>
322
323<!-- keep a commented instruction if no patches are currently required
324 <para> <!- - for all recent versions - ->
325 Fix build failures introduced by recent versions of <xref linkend="poppler"/>
326 and <xref linkend="boost"/>:
327 </para>
328
329<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch</userinput></screen>
330-->
331
332 <para>
333 If you have downloaded the dictionaries, help and translations tarballs,
334 create symlinks to them from the source directory so they won't get
335 downloaded again:
336 </para>
337
338<screen><userinput>install -dm755 external/tarballs &amp;&amp;
339ln -sv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
340ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
341ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
342
343 <note>
344 <para>
345 During the build process, some packages will be downloaded (including
346 the ones listed as recommended and optional dependencies) if they are
347 not present on the system. Because of this, build time may vary from the
348 published time more than usual.
349 </para>
350 </note>
351
352 <para>
353 Due to the large size of the package, you may prefer to install it in
354 <filename class="directory">/opt</filename>, instead of
355 <filename class="directory">/usr</filename>. Depending on your choice,
356 replace <replaceable>&lt;PREFIX&gt;</replaceable> by
357 <filename class="directory">/usr</filename> or by
358 <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>:
359 </para>
360
361<screen><userinput>export LO_PREFIX=<replaceable>&lt;PREFIX&gt;</replaceable></userinput></screen>
362
363 <para>
364 Locales "fr" and "en-GB", you will find below, are just examples; you
365 should change them to suit your needs - you might want to read the
366 "Command Explanations", further below, before proceeding.
367 </para>
368
369 <para>
370 Prepare <application>LibreOffice</application> for compilation by running
371 the following commands:
372 </para>
373
374<screen><userinput>sed -e "/gzip -f/d" \
375 -e "s|.1.gz|.1|g" \
376 -i bin/distro-install-desktop-integration &amp;&amp;
377
378sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
379
380sed -e '/JAVA_SOURCE_VER/s/6/7/' \
381 -e '/JAVA_TARGET_VER/s/6/7/' \
382 -i configure.ac &amp;&amp;
383
384sed -e 's/globalParams = new GlobalParams()/globalParams.reset(new GlobalParams())/' \
385 -i sdext/source/pdfimport/xpdfwrapper/wrapper_gpl.cxx &amp;&amp;
386
387sed -e 's/printPath( GfxPath/printPath(const GfxPath/' \
388 -e 's/ GfxSubpath/ const GfxSubpath/' \
389 -i sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.* &amp;&amp;
390
391./autogen.sh --prefix=$LO_PREFIX \
392 --sysconfdir=/etc \
393 --with-vendor=BLFS \
394 --with-lang='fr en-GB' \
395 --with-help \
396 --with-myspell-dicts \
397 --without-junit \
398 --without-system-dicts \
399 --disable-dconf \
400 --disable-odk \
401 --enable-release-build=yes \
402 --enable-python=system \
403 --with-jdk-home=/opt/jdk \
404 --with-system-apr \
405 --with-system-boost \
406 --with-system-clucene \
407 --with-system-curl \
408 --with-system-epoxy \
409 --with-system-expat \
410 --with-system-glm \
411 --with-system-gpgmepp \
412 --with-system-graphite \
413 --with-system-harfbuzz \
414 --with-system-icu \
415 --with-system-jpeg \
416 --with-system-lcms2 \
417 --with-system-libatomic_ops \
418 --with-system-libpng \
419 --with-system-libxml \
420 --with-system-neon \
421 --with-system-nss \
422 --with-system-odbc \
423 --with-system-openldap \
424 --with-system-openssl \
425 --with-system-poppler \
426 --with-system-postgresql \
427 --with-system-redland \
428 --with-system-serf \
429 --with-system-zlib</userinput></screen>
430
431<!-- -disable-gtk -enable-gtk3 \ removed for 6.4.0: gives
432an error -->
433 <para>
434 The instructions below will only build the package without running
435 any unit tests. If you prefer to run the unit tests, replace
436 <command>make build-nocheck</command> with <command>make build</command>
437 or (as a regular user only) just <command>make</command>, but do not be
438 surprised if a unit test fails right at the end of the build and
439 breaks it.
440 </para>
441
442 <para>
443 Build the package:
444 </para>
445
446<screen><userinput>make build-nocheck</userinput></screen>
447<!--<screen><userinput>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make build-nocheck</userinput></screen>-->
448
449 <para>
450 Now, as the <systemitem class="username">root</systemitem> user:
451 </para>
452
453<screen role="root"><userinput>make distro-pack-install</userinput></screen>
454
455 <para>
456 If installed in <filename
457 class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>
458 some additional steps are necessary. Issue the following commands, as
459 <systemitem class="username">root</systemitem> user:
460 </para>
461
462<screen role="root"><userinput>if [ "$LO_PREFIX" != "/usr" ]; then
463
464 # This symlink is necessary for the desktop menu entries
465 ln -svf $LO_PREFIX/lib/libreoffice/program/soffice /usr/bin/libreoffice &amp;&amp;
466
467 # Set up a generic location independent of version number
468 ln -sfv libreoffice-&libreoffice-dlversion; /opt/libreoffice
469
470 # Icons
471 mkdir -vp /usr/share/pixmaps
472 for i in $LO_PREFIX/share/icons/hicolor/32x32/apps/*; do
473 ln -svf $i /usr/share/pixmaps
474 done &amp;&amp;
475
476 # Desktop menu entries
477 for i in $LO_PREFIX/lib/libreoffice/share/xdg/*; do
478 ln -svf $i /usr/share/applications/libreoffice-$(basename $i)
479 done &amp;&amp;
480
481 # Man pages
482 for i in $LO_PREFIX/share/man/man1/*; do
483 ln -svf $i /usr/share/man/man1/
484 done
485
486 unset i
487fi</userinput></screen>
488
489 <para>
490 If you have installed <xref linkend="desktop-file-utils"/>, and you wish
491 to update the MIME database, issue, as the <systemitem class="username">
492 root</systemitem> user:
493 </para>
494
495<screen role="root"><userinput>update-desktop-database</userinput></screen>
496
497 <para>
498 The suite and main modules can be started from the menu. From a terminal,
499 the suite can be started with <command>libreoffice</command> command and
500 the modules with <command>libreoffice
501 --<replaceable>&lt;module&gt;</replaceable></command> command,
502 respectively, where <replaceable>&lt;module&gt;</replaceable> is one of
503 base, calc, draw, impress, math or writer. Modules cannot be started using
504 their shell starting script names (see "Installed Programs", below), if
505 LO_PREFIX is other than <filename class='directory'>/usr</filename>,
506 unless <filename class='directory'>$LO_PREFIX/bin</filename> directory is
507 appended to the PATH.
508 </para>
509
510 </sect2>
511
512 <sect2 role="commands">
513 <title>Command Explanations</title>
514
515 <para>
516 <command>sed -e ...</command>: The first sed prevents compression of the
517 manual pages, the second one prevents the install from failing, the third
518 allows to build with OpenJDK-12, and the third and fourth allow
519 poppler-0.85.0 to be used.
520 <!-- FIXME update hardcoded poppler version in text when necessary -->
521 </para>
522
523 <para>
524 <parameter>--with-vendor=BLFS</parameter>: This switch sets BLFS as
525 the vendor which is mentioned when you click "About" from the Help menu
526 on the toolbar.
527 </para>
528
529 <para>
530 <parameter>--with-lang='fr en-GB'</parameter>: This switch sets
531 what languages to support. To list several languages, separate them with
532 a space. For all languages, use
533 <parameter>--with-lang=ALL</parameter>.
534 </para>
535
536 <note>
537 <para>
538 For a list of the available languages, look in
539 <filename>solenv/inc/langlist.mk</filename>.
540 </para>
541 </note>
542
543 <para>
544 <parameter>--with-help</parameter>: Without this switch, the help files
545 are not built.
546 </para>
547
548 <para>
549 <parameter>--with-jdk-home=/opt/jdk</parameter>: This parameter will silence
550 a warning that the configure script attempted to find JAVA_HOME
551 automatically (even though that is passed in the environment). Omit this if
552 you disabled java.
553 </para>
554
555 <para>
556 <parameter>--with-myspell-dicts</parameter>: This switch adds myspell
557 dictionaries to the <application>LibreOffice</application> installation
558 set.
559 </para>
560 <!-- Unrecognized as of 6.2.0.3
561 <para>
562 <parameter>- -with-alloc=system</parameter>: This switch tells
563 <application>LibreOffice</application> to use the system allocator
564 instead of its internal one.
565 </para>
566 -->
567 <para>
568 <parameter>--with-system-boost</parameter>: This switch enables using
569 system boost. From time to time, recent versions of boost break
570 the build of libreoffice. In this case, it is possible to use the
571 bundled copy of boost, by removing this flag.
572 </para>
573
574 <para>
575 <parameter>--disable-dconf</parameter>: This switch disables compiling
576 <application>LibreOffice</application> with the
577 <application>GNOME DConf</application> configuration system support.
578 </para>
579
580 <para>
581 <parameter>--without-junit</parameter>: This switch disables the tests
582 for the deprecated HSQLDB driver which is written in Java. If you wish
583 to build this driver replace this switch with the set of switches
584 described below after '--without-java'.
585 </para>
586
587 <para>
588 <parameter>--without-system-dicts</parameter>: This switch disables use
589 of dictionaries from system paths, so the ones installed by this package
590 are used.
591 </para>
592
593 <para>
594 <parameter>--disable-odk</parameter>: This switch disables installing the
595 office development kit. Remove if you want to develop a
596 <application>LibreOffice</application> based application.
597 </para>
598
599 <para>
600 <parameter>--enable-release-build=yes</parameter>: This switch enables a
601 Release Build. <application>LibreOffice</application> can be built as a
602 Release Build or as a Developer Build, because their default installation
603 paths and user profile paths are different. Developer Build displays the
604 words "Dev" and "Beta" in several places (e.g, menu and splash screen).
605 </para>
606
607 <para>
608 <parameter>--enable-python=system</parameter>: This switch tells
609 <application>LibreOffice</application> to use installed
610 <application>Python 3</application> instead of
611 the bundled one.
612 </para>
613
614 <para>
615 <parameter>--with-system-*</parameter>: These switches prevent
616 <application>LibreOffice</application> from trying to compile its own
617 versions of these dependencies. If you've not installed some of the
618 dependencies, remove the corresponding switches.
619 </para>
620
621<!--
622 <para>
623 <command>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make ...</command>: <xref
624 linkend="icu"/> has removed an implicit namespace <quote>using</quote>
625 from its headers files. Setting <envar>U_USING_ICU_NAMESPACE</envar> to
626 1 allows to restore the former behavior, which is required for building
627 <application>libreoffice</application>.
628 </para>
629-->
630 <para>
631 <command>make distro-pack-install</command>: this does a normal
632 install, but if you add a DESTDIR environment variable it will also
633 install a lot of (text) gid_Module_* files in the DESTDIR, to help
634 distributions which want to break the package into parts.
635 </para>
636
637 <para>
638 <option>--with-parallelism=&lt;count&gt;</option>: This switch
639 tells <application>LibreOffice</application> to use &lt;count&gt; CPU
640 cores to compile in parallel. (Do not include literal angle brackets.)
641 The default is to use all available cores on the system.
642 </para>
643
644 <para>
645 <option>--disable-cups</option>: Use this switch if you don't need
646 printing support.
647 </para>
648
649 <para>
650 <option>--disable-dbus</option>: Use this switch if you've not installed
651 D-Bus-1.8.0 or later. It also disables Bluetooth support and font install
652 via PackageKit.
653 </para>
654
655 <para>
656 <option>--disable-firebird-sdbc</option>: By default, the ability to
657 connect to a <application>firebird</application> database is enabled.
658 Add this switch if you do not need that feature.
659 </para>
660
661 <para>
662 <option>--disable-gstreamer-1-0</option>: Use this switch if you have not
663 installed <xref linkend="gst10-plugins-base"/>.
664 </para>
665
666<!-- only gtk3 is referenced in the configure script for 6.4.0.3
667 <para>
668 <option>\-\-disable-gtk3</option>: Use this switch if you have not installed
669 <application>GTK+-3</application>, or if you have installed it but wish
670 to use <application>GTK+-2</application> (the menu icons differ).
671 <!\-\- Note that a <application>GTK+-3</application> build still
672 requires <application>GTK+-2</application> to build the gtk-plugin.\-\->
673 </para>-->
674
675 <para>
676 <option>--disable-postgresql-sdbc</option>: This switch disables compiling
677 <application>LibreOffice</application> with the ability to connect to a
678 <application>PostgreSQL</application> database. Use it if you have not
679 installed <application>PostgreSQL</application> and you do not want
680 <application>LibreOffice</application> to compile its bundled copy.
681 </para>
682
683 <para>
684 <option>--enable-gtk3-kde5</option>: This switch allows the Visual Class
685 Library, which is responsible for widgets, to be built with KF5 file
686 dialogs if GTK+-3, Qt5 and Plasma are all available.
687 </para>
688
689 <para>
690 <option>--enable-lto</option>: This switch will enable Link Time
691 Optimization, which results in slightly smaller libraries (about 40 MB).
692 This is said to make <application>LibreOffice</application> programs
693 load faster (and possibly run faster, e.g. when recalculating a
694 spreadsheet). On an 8-core machine with 16GB of memory, the difference
695 in compile times was minimal, but an extra 2GB was used for the work
696 files. On machines with fewer processors or a lack of memory, the compile
697 might be much slower.
698 </para>
699
700 <para>
701 <option>--without-java</option>: This switch disables
702 <application>Java</application> support in
703 <application>LibreOffice</application>. Java is needed for the
704 deprecated HSQLDB driver, which allows reading databases created by
705 other programs or in earlier versions of libreoffice
706 <application>base</application>.
707 </para>
708
709 <para>
710 <option>--with-junit=/opt/ant/lib/junit-4.12.jar</option> and
711 <option>--with-hamcrest=/opt/ant/lib/hamcrest-core-1.3.jar</option>:
712 Those options are needed if you want to run the tests.
713 </para>
714
715 <para>
716 <option>--without-fonts</option>: <application>LibreOffice</application>
717 includes a number of third-party TrueType fonts. If you have already
718 installed some or all of the same fonts, you may prefer to use the system
719 versions.
720 </para>
721
722 <para>
723 <!-- Brings in - -enable-qt5 as well. -->
724 <option>--enable-kde5</option>: Builds with KDE/Plasma integration. If
725 <xref linkend="qt5"/> and/or <xref linkend="kf5-frameworks"/> are not
726 installed in <filename class="directory">/usr</filename>, the include
727 and library directories must be specified in <envar>QT5INC</envar>,
728 <envar>QT5LIB</envar>, <envar>KF5INC</envar>, and <envar>KF5LIB</envar>,
729 respectively.
730 </para>
731
732 <para revision="systemd">
733 <option>--enable-evolution2</option>: Enables support for Evolution
734 address books through Evolution Data Server. Note that Evolution Data
735 Server must be installed for this feature to function.
736 </para>
737
738 <para>
739 <option>--with-system-icu</option>: This command would use the system
740 version of <xref linkend="icu"/> which is normally considered to be a good
741 thing to do. However, one of the very minor packages pulled in by
742 <application>LibreOffice</application>, libfreehand-0.1.2, does not compile
743 with ICU-65.1 because of a missing semi-colon at the end of one line in one
744 of its files. Do not use this option unless you have separately installed a
745 patched or newer version of
746 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>.
747 </para>
748
749 </sect2>
750
751 <sect2 role="content">
752 <title>Contents</title>
753
754 <segmentedlist>
755 <segtitle>Installed Programs</segtitle>
756 <segtitle>Installed Libraries</segtitle>
757 <segtitle>Installed Directory</segtitle>
758
759 <seglistitem>
760 <seg>
761 libreoffice, lobase, localc, lodraw, loffice, lofromtemplate,
762 loimpress, lomath, loweb, lowriter, soffice and unopkg;
763 several programs under
764 $LO_PREFIX/lib/libreoffice/program
765 </seg>
766 <seg>
767 several libraries under
768 $LO_PREFIX/lib/libreoffice/program
769 </seg>
770 <seg>
771 $LO_PREFIX/lib/libreoffice
772 </seg>
773 </seglistitem>
774 </segmentedlist>
775
776 <variablelist>
777 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
778 <?dbfo list-presentation="list"?>
779 <?dbhtml list-presentation="table"?>
780
781 <varlistentry id="libreoffice-suite">
782 <term><command>libreoffice (or soffice)</command></term>
783 <listitem>
784 <para>
785 is the main libreofice suite (symlink to
786 $LO_PREFIX/lib/libreoffice/program/soffice).
787 </para>
788 <indexterm zone="libreoffice libreoffice-suite">
789 <primary sortas="b-libreoffice-suite">libreoffice-suite</primary>
790 </indexterm>
791 </listitem>
792 </varlistentry>
793
794 <varlistentry id="lobase">
795 <term><command>lobase</command></term>
796 <listitem>
797 <para>
798 is the database manager module shell starting script.
799 </para>
800 <indexterm zone="libreoffice lobase">
801 <primary sortas="b-lobase">lobase</primary>
802 </indexterm>
803 </listitem>
804 </varlistentry>
805
806 <varlistentry id="localc">
807 <term><command>localc</command></term>
808 <listitem>
809 <para>
810 is the spreadsheet module shell starting script.
811 </para>
812 <indexterm zone="libreoffice localc">
813 <primary sortas="b-localc">localc</primary>
814 </indexterm>
815 </listitem>
816 </varlistentry>
817
818 <varlistentry id="lodraw">
819 <term><command>lodraw</command></term>
820 <listitem>
821 <para>
822 is the vector graphics editor and diagramming tool module shell
823 starting script.
824 </para>
825 <indexterm zone="libreoffice lodraw">
826 <primary sortas="b-lodraw">lodraw</primary>
827 </indexterm>
828 </listitem>
829 </varlistentry>
830
831 <varlistentry id="loimpress">
832 <term><command>loimpress</command></term>
833 <listitem>
834 <para>
835 is the (PowerPoint) presentations editor and displayer
836 module shell starting script.
837 </para>
838 <indexterm zone="libreoffice loimpress">
839 <primary sortas="b-loimpress">loimpress</primary>
840 </indexterm>
841 </listitem>
842 </varlistentry>
843
844 <varlistentry id="lomath">
845 <term><command>lomath</command></term>
846 <listitem>
847 <para>
848 is the mathematical formula editor module shell starting script.
849 </para>
850 <indexterm zone="libreoffice lomath">
851 <primary sortas="b-lomath">lomath</primary>
852 </indexterm>
853 </listitem>
854 </varlistentry>
855
856 <varlistentry id="loweb">
857 <term><command>loweb</command></term>
858 <listitem>
859 <para>
860 is the HTML editor module shell starting script.
861 </para>
862 <indexterm zone="libreoffice loweb">
863 <primary sortas="b-loweb">loweb</primary>
864 </indexterm>
865 </listitem>
866 </varlistentry>
867
868 <varlistentry id="lowriter">
869 <term><command>lowriter</command></term>
870 <listitem>
871 <para>
872 is the word processor module shell starting script.
873 </para>
874 <indexterm zone="libreoffice lowriter">
875 <primary sortas="b-lowriter">lowriter</primary>
876 </indexterm>
877 </listitem>
878 </varlistentry>
879
880 <varlistentry id="unopkg">
881 <term><command>unopkg</command></term>
882 <listitem>
883 <para>
884 is a tool to manage <application>LibreOffice</application>
885 extensions from the command line.
886 </para>
887 <indexterm zone="libreoffice unopkg">
888 <primary sortas="b-unopkg">unopkg</primary>
889 </indexterm>
890 </listitem>
891 </varlistentry>
892
893 </variablelist>
894
895 </sect2>
896
897</sect1>
Note: See TracBrowser for help on using the repository browser.